
# Interface: ICanvasDefinitionModifyItems

Provides properties to change properties of design elements in the editor.

For details, you can refer to the [ModifyItems command](https://customerscanvas.com/dev/sdks/ui-framework/widgets/design-editor-commands/modify-items.html).
```
{
  "type": "canvas",
  "name": "editor",
  "params": {
    "initial": { ... },
    "modifyItems": {
      "items": {
        "Name": {
          "value": "Neo"
        },
        "Company": {
          "value": "Matrix"
        }
      }
    }
  }
}
```

## Hierarchy

* [ICanvasCommandDefinition](icanvascommanddefinition.md)

  ↳ **ICanvasDefinitionModifyItems**

## Index

### Properties

* [after](icanvasdefinitionmodifyitems.md#optional-after)
* [every](icanvasdefinitionmodifyitems.md#optional-every)
* [items](icanvasdefinitionmodifyitems.md#items)

## Properties

### `Optional` after

• **after**? : *string | string[]*

*Inherited from [ICanvasCommandDefinition](icanvascommanddefinition.md).[after](icanvascommanddefinition.md#optional-after)*

The next commands to be executed after this command completes.

___

### `Optional` every

• **every**? : *[CanvasItemChanges](../classes/canvasitemchanges.md)*

Changes for every canvas item.

___

###  items

• **items**: *object*

Changes for specific items.

#### Type declaration:

* \[ **itemName**: *string*\]: [CanvasItemChanges](../classes/canvasitemchanges.md)
